Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 692)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 693)
@@ -167,12 +167,16 @@
 	 */
 	public static boolean initialize(Class preferencesStore, IProgressMonitor monitor) throws Exception {
 		initializing = true;
-		if (monitor != null) monitor.setTaskName("Initializing Toolbox...");
+		if (monitor != null) {
+			monitor.setTaskName("Initializing Toolbox...");
+		}
 		try {
-			if (monitor != null) monitor.subTask("Loading extensions (pre-installation)...");
+			if (monitor != null) {
+				monitor.subTask("Loading extensions (pre-installation)...");
+			}
 			pluginsPreinstallation();
 		} catch(Exception e) {
-			System.out.println("Error while pre-installaing plugins: "+e.getLocalizedMessage());
+			System.out.println("Error while pre-installing plugins: " + e.getLocalizedMessage());
 		}
 	
 		try {
@@ -185,10 +189,12 @@
 			Log.setLevel(Level.parse(TXMPreferences.getString(TBXPreferences.LOG_LEVEL, TBXPreferences.PREFERENCES_NODE)));
 			Log.setPrintInConsole(Boolean.parseBoolean(TXMPreferences.getString(TBXPreferences.ADD_TECH_LOGS, TBXPreferences.PREFERENCES_NODE)));
 
-			if (!TXMPreferences.getString(TBXPreferences.LOG_DIR, TBXPreferences.PREFERENCES_NODE).isEmpty())
+			if (!TXMPreferences.getString(TBXPreferences.LOG_DIR, TBXPreferences.PREFERENCES_NODE).isEmpty()) {
 				Log.setPrintInFile(Boolean.parseBoolean(TXMPreferences.getString(TBXPreferences.LOG_IN_FILE, TBXPreferences.PREFERENCES_NODE)), new File(TXMPreferences.getString(TBXPreferences.LOG_DIR, TBXPreferences.PREFERENCES_NODE)));
-			else
+			}
+			else {
 				Log.setPrintInFile(Boolean.parseBoolean(TXMPreferences.getString(TBXPreferences.LOG_IN_FILE, TBXPreferences.PREFERENCES_NODE)));
+			}
 			
 		} catch (Exception e) {
 			initializing = false;
@@ -205,7 +211,9 @@
 		Log.info("Toolbox states: "+TXMCoreMessages.Toolbox_22 + state); //$NON-NLS-1$
 		
 		try {
-			if (monitor != null) monitor.subTask("Loading extensions (post-installation)...");
+			if (monitor != null) {
+				monitor.subTask("Loading extensions (post-installation)...");
+			}
 			pluginsPostinstallation();
 		} catch(Exception e) {
 			System.out.println("Error while post-installaing plugins: "+e.getLocalizedMessage());
@@ -294,14 +302,13 @@
 	 */
 	private static void pluginsPostinstallation() {
 
-		IConfigurationElement[] config = Platform.getExtensionRegistry()
-				.getConfigurationElementsFor(PostInstallationStep.EXTENSION_ID);
+		IConfigurationElement[] config = Platform.getExtensionRegistry().getConfigurationElementsFor(PostInstallationStep.EXTENSION_ID);
 		Log.warning(TXMCoreMessages.ApplicationWorkbenchAdvisor_15);
 		Log.warning(Arrays.toString(config));
 
 		for (IConfigurationElement e : config) {
 			try {
-				Log.warning(TXMCoreMessages.ApplicationWorkbenchAdvisor_14+e.getName()+" from "+e.getContributor().getName());
+				Log.warning(TXMCoreMessages.ApplicationWorkbenchAdvisor_14 + e.getName() + " from " + e.getContributor().getName());
 				final Object o = e.createExecutableExtension("class"); //$NON-NLS-1$
 				if (o instanceof PostInstallationStep) {
 					ISafeRunnable runnable = new ISafeRunnable() {
@@ -318,7 +325,7 @@
 					SafeRunner.run(runnable);
 				}
 			} catch (Exception ex) {
-				System.out.println("Exception while installing "+e.getName()+": "+ex.getMessage());
+				System.out.println("Exception while installing " + e.getName() + ": " + ex.getMessage());
 			}
 		}
 	}
@@ -334,7 +341,7 @@
 
 		for (IConfigurationElement e : config) {
 			try {
-				Log.warning(TXMCoreMessages.ApplicationWorkbenchAdvisor_14+e.getName()+" from "+e.getContributor().getName());
+				Log.warning(TXMCoreMessages.ApplicationWorkbenchAdvisor_14 + e.getName() + " from " + e.getContributor().getName());
 				final Object o = e.createExecutableExtension("class"); //$NON-NLS-1$
 				if (o instanceof PostInstallationStep) {
 					ISafeRunnable runnable = new ISafeRunnable() {
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java	(revision 692)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java	(revision 693)
@@ -1,8 +1,16 @@
 package org.txm.internalview.core.messages;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.utils.messages.Utf8NLS;
 
-public class InternalViewCoreMessages extends Utf8NLS {
+/**
+ * Internal view core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class InternalViewCoreMessages extends NLS {
 	
 	private static final String BUNDLE_NAME = "org.txm.internalview.core.messages.messages"; //$NON-NLS-1$
 	
@@ -11,6 +19,6 @@
 	public static String InternalView_7;
 	
 	static {
-		Utf8NLS.initializeMessages(InternalViewCoreMessages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, InternalViewCoreMessages.class);
 	}
 }
Index: tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 692)
+++ tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 693)
@@ -8,6 +8,7 @@
 
 /**
  * Class that manages UTF-8 encoding for .properties messages files.
+ * 
  * @author sjacquot
  *
  */
@@ -16,18 +17,8 @@
 	private static final int MOD_EXPECTED = Modifier.PUBLIC | Modifier.STATIC;
 	private static final int MOD_MASK = MOD_EXPECTED | Modifier.FINAL;
 
-	/**
-	 * Initializes messages using UTF-8 encoding.
-	 * 
-	 * The base name is built using the class fullname
-	 * 
-	 * @param clazz
-	 */
-	public static void initializeMessages(final Class<?> clazz) {
-		// initialize resource bundle
-		initializeMessages(clazz.getPackage().getName() + ".messages", clazz); //$NON-NLS-1$
-	}
 	
+	
 	/**
 	 * Initializes messages using UTF-8 encoding.
 	 * @param baseName
Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java	(revision 692)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java	(revision 693)
@@ -1,15 +1,29 @@
 package org.txm.ahc.core.messages;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.utils.messages.Utf8NLS;
 
-public class AHCCoreMessages extends Utf8NLS {
+/**
+ * AHC core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class AHCCoreMessages extends NLS {
 	
-	static {
-		Utf8NLS.initializeMessages(AHCCoreMessages.class);
-	}
 	
+	private static final String BUNDLE_NAME = "org.txm.ahc.core.messages.messages"; //$NON-NLS-1$
+
 	public static String RESULT_TYPE;
 	
 	public static String ERROR_EXPORT_TXT;
 	public static String LOG_COMPUTE_CAH;
+	
+	
+	static {
+		Utf8NLS.initializeMessages(BUNDLE_NAME, AHCCoreMessages.class);
+	}
+	
+
 }
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/InformationPreferencePage.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/InformationPreferencePage.java	(revision 692)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/InformationPreferencePage.java	(revision 693)
@@ -59,9 +59,9 @@
 	@Override
 	public void createFieldEditors() {
 		
-		// The diag_maxvalue
-		IntegerFieldEditor diag_maxvalue = new IntegerFieldEditor(CQPPreferences.MAX_VALUE, CQPUIMessages.DiagnosticPreferencePage_2, this.getFieldEditorParent());
-		diag_maxvalue.setValidRange(1, 9999);
-		this.addField(diag_maxvalue);
+		// The maximum number of word property values to display
+		IntegerFieldEditor maxValue = new IntegerFieldEditor(CQPPreferences.MAX_VALUE, CQPUIMessages.DiagnosticPreferencePage_2, this.getFieldEditorParent());
+		maxValue.setValidRange(1, 9999);
+		this.addField(maxValue);
 	}
 }
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 692)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 693)
@@ -1,13 +1,19 @@
 package org.txm.searchengine.cqp.rcp.messages;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.utils.messages.Utf8NLS;
 
-public class CQPUIMessages extends Utf8NLS {
+/**
+ * CAP UI messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class CQPUIMessages extends NLS {
 	
 	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String CQPPreferenceInitializer_0;
-	public static String CQPPreferenceInitializer_1;
 	public static String CQPPreferencePage_0;
 	public static String CQPPreferencePage_1;
 	public static String CQPPreferencePage_10;
@@ -16,27 +22,17 @@
 	public static String CQPPreferencePage_13;
 	public static String CQPPreferencePage_14;
 	public static String CQPPreferencePage_15;
-	public static String CQPPreferencePage_16;
 	public static String CQPPreferencePage_17;
 	public static String CQPPreferencePage_18;
 	
 	
 	public static String ComputeDiagnostic_0;
-	public static String ComputeDiagnostic_1;
 
 	public static String DiagnosticPreferencePage_2;
-	public static String DiagnosticPreferencePage_3;
-	public static String Diagnostique_0;
-	public static String Diagnostique_10;
-	public static String Diagnostique_11;
-	public static String Diagnostique_1;
-	public static String Diagnostique_2;
-	public static String Diagnostique_7;
-	public static String Diagnostique_8;
-	public static String Diagnostique_9;
 
 	
 	static {
-		Utf8NLS.initializeMessages(CQPUIMessages.class);
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, CQPUIMessages.class);
 	}
 }
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/Messages.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/Messages.java	(revision 692)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/Messages.java	(revision 693)
@@ -3,8 +3,13 @@
 import org.txm.utils.messages.Utf8NLS;
 
 public class Messages extends Utf8NLS {
+	
+	
+	private static final String BUNDLE_NAME = "org.txm.annotation.core.repository.messages.messages"; //$NON-NLS-1$
+	
+	
 	static {
-		Utf8NLS.initializeMessages(Messages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
 	}
 
 	private Messages() {
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java	(revision 692)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java	(revision 693)
@@ -1,14 +1,27 @@
 package org.txm.chartsengine.core.messages;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.utils.messages.Utf8NLS;
 
-public class ChartsEngineCoreMessages extends Utf8NLS {
+/**
+ * Charts engine core messages.
+ * 
+ * @author sjacquot
+ *
+ */
+public class ChartsEngineCoreMessages extends NLS {
 	
-	static {
-		Utf8NLS.initializeMessages(ChartsEngineCoreMessages.class);
-	}
+	private static final String BUNDLE_NAME = "org.txm.chartsengine.core.messages.messages"; //$NON-NLS-1$
+
+	
 	public static String error_cantCreateTmpChartFile;
 	public static String error_cantWriteInFile;
 
 	public static String charts_labelValueSeparator;
+
+	
+	static {
+		Utf8NLS.initializeMessages(BUNDLE_NAME, ChartsEngineCoreMessages.class);
+	}
+	
 }
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 692)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 693)
@@ -18,20 +18,11 @@
 	
 	public static String Diagnostic_0;
 	public static String Diagnostic_1;
-	public static String Diagnostic_10;
 	public static String Diagnostic_11;
-	public static String Diagnostic_12;
-	public static String Diagnostic_13;
 	public static String Diagnostic_14;
-	public static String Diagnostic_15;
 	public static String Diagnostic_16;
-	public static String Diagnostic_17;
-	public static String Diagnostic_18;
-	public static String Diagnostic_19;
 	public static String Diagnostic_2;
-	public static String Diagnostic_20;
 	public static String Diagnostic_22;
-	public static String Diagnostic_23;
 	public static String Diagnostic_26;
 	public static String Diagnostic_3;
 	public static String Diagnostic_4;
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/information/Information.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/information/Information.java	(revision 692)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/information/Information.java	(revision 693)
@@ -42,7 +42,6 @@
 import java.util.Locale;
 
 import org.eclipse.osgi.util.NLS;
-import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
@@ -353,8 +352,7 @@
 				{
 					//System.out.println("struct: "+s+" >> "+ps);
 					int valuecount = internalArchitecturePropertiesCounts.get(s).get(ps);
-					ArrayList<String> values = new ArrayList<String>(
-							internalArchitectureProperties.get(s).get(ps));
+					ArrayList<String> values = new ArrayList<String>(internalArchitectureProperties.get(s).get(ps));
 					subbuffer.append("<li> " + ps + " (" + valuecount + ") = "); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 					//System.out.println("VALUES: "+values);
 					Collections.sort(values);
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 692)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 693)
@@ -2,14 +2,18 @@
 
 import org.txm.utils.messages.Utf8NLS;
 
+/**
+ * CA UI messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
 public class CAUIMessages extends Utf8NLS {
 	
 	
 	private static final String BUNDLE_NAME = "org.txm.ca.rcp.messages.messages"; //$NON-NLS-1$
 	
-	static {
-		Utf8NLS.initializeMessages(CAUIMessages.class);
-	}
 	
 	public static String PreferencePage_0;
 	public static String PreferencePage_1;
@@ -59,4 +63,9 @@
 
 	public static String CaEditor_0;
 
+	
+	static {
+		Utf8NLS.initializeMessages(BUNDLE_NAME, CAUIMessages.class);
+	}
+
 }
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 692)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RConsole.java	(revision 693)
@@ -39,18 +39,18 @@
 import org.eclipse.ui.part.ViewPart;
 import org.txm.EngineType;
 import org.txm.Toolbox;
-import org.txm.Toolbox;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
+import org.txm.statsengine.r.rcp.messages.RUIMessages;
 import org.txm.utils.MessagePrinter;
 import org.txm.utils.StreamHog;
 import org.txm.utils.logger.Log;
 
 /**
- * display the R logs only 
- * @author mdecorde.
+ * Display the R logs only.
+ * 
+ * @author mdecorde
  */
 public class RConsole extends ViewPart implements MessagePrinter {
 
@@ -231,7 +231,7 @@
 	public void connectToRWorkspace() {
 		if (!readyToDisplay && Toolbox.getEngineManager(EngineType.STAT).getEngine("R").getState()) {
 			RWorkspace rw = null;
-			Log.warning(TXMUIMessages.RConsole_0);
+			Log.warning(RUIMessages.RConsole_0);
 			try {
 				rw = RWorkspace.getRWorkspaceInstance();
 				if (rw == null) return;
@@ -246,7 +246,7 @@
 					readyToDisplay = true;
 				//}
 			} catch (RWorkspaceException e) {
-				System.out.println(TXMUIMessages.RConsole_1+e);
+				System.out.println(RUIMessages.RConsole_1 + e);
 				Log.printStackTrace(e);
 			}
 		}
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 692)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 693)
@@ -59,8 +59,8 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
+import org.txm.ahc.core.functions.AHC;
 import org.txm.ca.core.functions.CA;
-import org.txm.ahc.core.functions.AHC;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.cooccurrence.core.functions.Cooccurrence;
 import org.txm.core.results.TXMResult;
@@ -81,6 +81,7 @@
 import org.txm.searchengine.cqp.corpus.Partition;
 import org.txm.specificities.core.functions.Specificities;
 import org.txm.statsengine.r.core.RWorkspace;
+import org.txm.statsengine.r.rcp.messages.RUIMessages;
 /**
  * The Class RVariablesView: list the R variables linked to TXMResult that have a representation in the R workspace
  */
@@ -231,7 +232,7 @@
 		Button export = new Button(parent, SWT.PUSH);
 		export.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 				false));
-		export.setText(TXMUIMessages.RVariablesView_1);
+		export.setText(RUIMessages.RVariablesView_1);
 		export.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -245,7 +246,7 @@
 		
 		Button logs = new Button(parent, SWT.PUSH);
 		logs.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,	false));
-		logs.setText(TXMUIMessages.RVariablesView_2);
+		logs.setText(RUIMessages.RVariablesView_2);
 		logs.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -346,7 +347,7 @@
 			if (symbol == null)
 				return name;
 			else
-				return NLS.bind(TXMUIMessages.RVariablesView_9, name, symbol);
+				return NLS.bind(RUIMessages.RVariablesView_9, name, symbol);
 		}
 
 		/* (non-Javadoc)
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java	(revision 692)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/messages/RUIMessages.java	(revision 693)
@@ -52,6 +52,12 @@
 	public static String SendToR_0;
 	public static String SendToR_3;
 
+	public static String RConsole_0;
+	public static String RConsole_1;
+	public static String RVariablesView_1;
+	public static String RVariablesView_2;
+	public static String RVariablesView_9;
+
 	
 	static {
 		// initialize resource bundle
